<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Oganikku</title>
    <!-- CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<style>
    body{
        margin: 0px;
    }
    .bg-container{
    background: rgba(0,0,0,0.7) url(static/images/loginbg.jpg);
    background-blend-mode: darken;
    height: min-content;
    width: 100%;
    background-repeat: no-repeat;
    background-size: 100vw 105vw;
    padding-bottom: 4%;
    }
    .form-container{
        padding-top: 3%;
    }
    input {
        border-top-style: hidden;
        border-right-style: hidden;
        border-left-style: hidden;
        border-bottom-style: solid;
        border-bottom-color: white;
        background-color: transparent;
        width: 100%;
        height: 45px;
      }
      
      .no-outline:focus {
        outline: none;
   
      }
      .btn-create{
        width: 400px;
    background-color: #A9D18E;
    padding: 20px;
    border-radius: 30px;
      }
      .btn-create-account{
        margin-top:2%;
         font-family: Century Gothic;
         font-weight: bold;
         font-size:20px;
         text-align: center;
         color: white;
         cursor: pointer;
      }
</style>
<body > 
   <div class="bg-container">
        <div class="form-container">
           
                <div style="color:white;text-align: center;font-size: 50px;font-weight: bold;font-family:Century Gothic;">
                    Create Account
                </div>
                <center> 
                    <form method="POST" action="/register">
                <div style="
                    margin-top:1%;
                    width:470px;
    
                    text-align: left;"
                    >
                    <p style="color:white;font-size: 20px;margin-bottom:2px;">Username</p>
                    <input type="text" name="username" class="no-outline" placeholder="Username"  style="color: white;"  required>
                    <p style="color: white;font-size: 20px;margin-bottom:2px;margin-top:3%;">Fullname</p>
                    <input type="text" name="fullname" class="no-outline" placeholder="Fullname" style="color:white;" required >
                    <p style="color: white;font-size: 20px;margin-bottom:2px;margin-top:3%;">Email</p>
                    <input type="email"name="email" class="no-outline" placeholder="Email" style="color:white;" required>
                    <p style="color: white;font-size: 20px;margin-bottom:2px;margin-top:3%;">Password</p>
                    <input type="password" name="password" type="password" class="no-outline" placeholder="Password" style="color:white;" required>
                    <p style="color: white;font-size: 20px;margin-bottom:2px;margin-top:3%;">Confirm Password</p>
                    <input type="password" name="confirm_password" type="password" class="no-outline" placeholder="Confirm Password" style="color:white;" required>
                    <div style="width: 100%;">
                        {% with messages = get_flashed_messages() %}
                        {% if messages %}
                            <ul class=flashes style="margin-top:2%;text-align: center;color: red; font-family: Century Gothic;font-weight: bold;padding-left: 0px;">
                            {{ messages[0] }}
                            </ul>
                        {% endif %}
                        {% endwith %}
                    </div>



            <div style="display: flex;justify-content: center;">

                      
            <button class="btn-create" style="margin-top:3%;color:white;font-size:20px;" type="submit" >
                Get Start
            </button>

             </div>  
                  </form>
                <a href="{{url_for('user.login')}}" style="text-decoration: none;">
                    <div class="btn-create-account">
                        Already Have Account ?
                    </div>
                </a>
                </div>
    
         
        </center>
        </div>
    </div>

</body>
</html>
<script>

</script>